<?php

namespace Drupal\denormalizer;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Defines the list builder for Denormalizer tables config entities.
 */
class DenormalizerTableListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('Table name');
    $header['label'] = $this->t('Label');
    $header['status'] = $this->t('Status');
    $header['count'] = $this->t('Rows count');

    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $status = $entity->status() ? $this->t('Enabled') : $this->t('Disabled');
    $row['id'] = $entity->getDbTableName();
    $row['label'] = $entity->label();
    $row['status'] = $status;
    $row['count'] = $entity->countRows();

    return $row + parent::buildRow($entity);
  }

}
